<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/cli/cli.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/d48/cli_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">cli.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements the CLI interpreter.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;openthread-config.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dd/d45/openthread_8h_source.html">openthread.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/dfc/openthread-instance_8h_source.html">openthread-instance.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../de/d49/openthread-diag_8h_source.html">openthread-diag.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../de/d11/commissioner_8h_source.html">commissioning/commissioner.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/de8/joiner_8h_source.html">commissioning/joiner.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="../../d3/db5/cli_8hpp_source.html">cli.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../d9/de3/cli__dataset_8hpp_source.html">cli_dataset.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../dc/d51/cli__uart_8hpp_source.html">cli_uart.hpp</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d09/new_8hpp_source.html">common/new.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d1/dd4/ip6_8hpp_source.html">net/ip6.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/d86/uart_8h_source.html">platform/uart.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for cli.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d80/cli_8cpp__incl.png" border="0" usemap="#src_2cli_2cli_8cpp" alt=""/></div>
<map name="src_2cli_2cli_8cpp" id="src_2cli_2cli_8cpp">
<area shape="rect" id="node2" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="2821,619,2961,644"/>
<area shape="rect" id="node6" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="287,619,387,644"/>
<area shape="rect" id="node12" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="1138,79,1292,104"/>
<area shape="rect" id="node17" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="2078,232,2165,257"/>
<area shape="rect" id="node19" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="2598,472,2754,497"/>
<area shape="rect" id="node40" href="../../de/d49/openthread-diag_8h.html" title="This file defines the top&#45;level functions for the OpenThread diagnostics library. ..." alt="" coords="2958,152,3087,177"/>
<area shape="rect" id="node41" href="../../de/d11/commissioner_8h.html" title="This file includes the platform abstraction for the Thread Commissioner role. " alt="" coords="1905,79,2111,104"/>
<area shape="rect" id="node42" href="../../da/de8/joiner_8h.html" title="This file includes the platform abstraction for the Thread Joiner role. " alt="" coords="2135,79,2291,104"/>
<area shape="rect" id="node43" href="../../d3/db5/cli_8hpp.html" title="This file contains definitions for the CLI interpreter. " alt="" coords="1701,232,1761,257"/>
<area shape="rect" id="node46" href="../../d9/de3/cli__dataset_8hpp.html" title="This file contains definitions for the CLI interpreter. " alt="" coords="1566,232,1677,257"/>
<area shape="rect" id="node48" href="../../dc/d51/cli__uart_8hpp.html" title="This file contains definitions for a CLI server on the UART service. " alt="" coords="1784,232,1874,257"/>
<area shape="rect" id="node49" href="../../df/d09/new_8hpp.html" title="This file defines the new operator used by OpenThread. " alt="" coords="2405,152,2531,177"/>
<area shape="rect" id="node50" href="../../d2/d86/uart_8h.html" title="This file includes the platform abstraction for UART communication. " alt="" coords="3034,699,3142,724"/>
<area shape="rect" id="node7" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="1339,852,1403,877"/>
<area shape="rect" id="node8" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="29,852,104,877"/>
<area shape="rect" id="node9" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="1240,779,1376,804"/>
<area shape="rect" id="node11" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="348,699,462,724"/>
<area shape="rect" id="node10" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="1176,852,1314,877"/>
<area shape="rect" id="node13" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="571,619,741,644"/>
<area shape="rect" id="node15" href="../../d2/d8a/mbedtls_8hpp.html" title="This file includes definitions for using mbedTLS. " alt="" coords="1394,152,1528,177"/>
<area shape="rect" id="node32" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="1006,152,1165,177"/>
<area shape="rect" id="node14" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="588,692,751,731"/>
<area shape="rect" id="node21" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="1506,545,1662,571"/>
<area shape="rect" id="node22" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="2114,319,2219,344"/>
<area shape="rect" id="node23" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1923,399,2066,424"/>
<area shape="rect" id="node24" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="2229,619,2371,644"/>
<area shape="rect" id="node25" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="1673,472,1767,497"/>
<area shape="rect" id="node27" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="1802,545,1910,571"/>
<area shape="rect" id="node28" href="../../df/dc2/ip6__routes_8hpp.html" title="This file includes definitions for manipulating IPv6 routing tables. " alt="" coords="2138,472,2270,497"/>
<area shape="rect" id="node29" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="1873,319,1989,344"/>
<area shape="rect" id="node31" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="717,319,816,344"/>
<area shape="rect" id="node26" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="1026,545,1166,571"/>
<area shape="rect" id="node30" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="845,399,976,424"/>
<area shape="rect" id="node33" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="440,319,541,344"/>
<area shape="rect" id="node34" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="813,232,992,257"/>
<area shape="rect" id="node35" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="648,232,789,257"/>
<area shape="rect" id="node36" href="../../da/d32/ip6__filter_8hpp.html" title="This file includes definitions for IPv6 datagram filtering. " alt="" coords="144,399,264,424"/>
<area shape="rect" id="node37" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="434,232,625,257"/>
<area shape="rect" id="node38" href="../../d8/d26/announce__begin__server_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="993,312,1154,351"/>
<area shape="rect" id="node39" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="1016,225,1155,264"/>
<area shape="rect" id="node45" href="../../d8/d86/cli__server_8hpp.html" title="This file contains definitions for adding a CLI command to the CLI server. " alt="" coords="1576,319,1696,344"/>
<area shape="rect" id="node47" href="../../d6/d3c/meshcop__dataset_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1350,399,1544,424"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html">Thread::Cli::Interpreter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI interpreter.  <a href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:dd/d1d/namespaceThread_1_1Cli"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html">Thread::Cli</a></td></tr>
<tr class="memdesc:dd/d1d/namespaceThread_1_1Cli"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace contains definitions for the CLI interpreter. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements the CLI interpreter. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_b78fdfbbb632ce54d070469d6a721373.html">cli</a></li><li class="navelem"><a class="el" href="../../dd/d48/cli_8cpp.html">cli.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
